<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema targetNamespace="http://www.hkicl.com.hk/tr" elementFormDefault="qualified" attributeFormDefault="unqualified"
    xmlns:xsd="http://www.w3.org/2001/XMLSchema" 
    xmlns:fpml="http://www.fpml.org/FpML-5/reporting" 
    xmlns="http://www.hkicl.com.hk/tr">
    
	<xsd:simpleType name="CommodityLegTypeEnum">
		<xsd:annotation>
			<xsd:documentation xml:lang="en">Leg type of a Commodity product by which the Number of Units changes.</xsd:documentation>
		</xsd:annotation>
		<xsd:restriction base="xsd:token">
			<xsd:enumeration value="SwapFixedLeg">
				<xsd:annotation>
					<xsd:documentation xml:lang="en">Fixed Leg of the Commodity Swap product</xsd:documentation>
				</xsd:annotation>
			</xsd:enumeration>
			<xsd:enumeration value="SwapFloatingLeg1">
				<xsd:annotation>
					<xsd:documentation xml:lang="en">Floating Leg 1 of the Commodity Swap product</xsd:documentation>
				</xsd:annotation>
			</xsd:enumeration>
			<xsd:enumeration value="SwapFloatingLeg2">
				<xsd:annotation>
					<xsd:documentation xml:lang="en">Floating Leg 2 of the Commodity Swap product</xsd:documentation>
				</xsd:annotation>
			</xsd:enumeration>
			<xsd:enumeration value="SwapCoalPhysicalLeg">
				<xsd:annotation>
					<xsd:documentation xml:lang="en">Coal Physical Leg of the Commodity Swap product</xsd:documentation>
				</xsd:annotation>
			</xsd:enumeration>
			<xsd:enumeration value="SwapGasPhysicalLeg">
				<xsd:annotation>
					<xsd:documentation xml:lang="en">Gas Physical Leg of the Commodity Swap product</xsd:documentation>
				</xsd:annotation>
			</xsd:enumeration>
			<xsd:enumeration value="SwapOilPhysicalLeg">
				<xsd:annotation>
					<xsd:documentation xml:lang="en">Oil Physical Leg of the Commodity Swap product</xsd:documentation>
				</xsd:annotation>
			</xsd:enumeration>
			<xsd:enumeration value="SwapElectricityPhysicalLeg">
				<xsd:annotation>
					<xsd:documentation xml:lang="en">Electricity Physical Leg of the Commodity Swap product</xsd:documentation>
				</xsd:annotation>
			</xsd:enumeration>
		</xsd:restriction>
	</xsd:simpleType>
</xsd:schema>
